/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
                    scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
                    markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
/*******************************************
  compliant RWhois protocol version - leave alone
********************************************/
#define RWHOIS_PROTOCOL_VERSION "1.0"

/********************************************
  local changes - files
*********************************************/

/* This is the directory that all relative paths are relative from.
   It is normally not necessary to set this to anything, but this can
   be set if you wish to default *everything* and run without a
   conf. file.  That is, "" is equivalent to the current directory. */
#define RWHOIS_ROOT_DIR ""

/* the location for the logging file */
#define RWHOIS_LOG_FILE  "rwhois.log"

/* the location for the configuration file */
#define DEFAULT_RWHOIS_CONFIG_FILE "rwhois.conf"

/* the location for the rwhois root servers file */
#define DEFAULT_RWHOIS_ROOT_FILE "rwhois.root"

/* the location for the rwhois help file */
#define DEFAULT_RWHOIS_HELP_FILE "rwhois.help"

/* the path where the binaries run from the server are located
   (think "cgi-bin path") */
#define DEFAULT_BIN_PATH "bin"

/* the file that the badref, recuref stuff gets logged */
#define DEFAULT_NOTIFY_LOG "notify.log"

/* the file that contains additional format descriptions */
#define DEFAULT_DEFINE_FILE "rwhois.define"

/* the file that contains X- directive definitions */
#define DEFAULT_DIRECTIVE_FILE "rwhois.directive"

/* the top-level file describing output templates */
#define DEFAULT_DISPLAY_FILE "rwhois.display"

/* the top-level file describing the database schema */
#define DEFAULT_SCHEMA_FILE  "rwhois.objects"

/* the file that register commands will be logged to */
#define DEFAULT_REGISTER_LOG "register.log"

/* the the temporary directory used in the register process */
#define DEFAULT_REGISTER_SPOOL "register_spool"

/* the file describing what hosts are allowed to do what
   directives */
#define DEFAULT_SECURITY_ALLOW "hosts.allow"

/* the file describing what hosts are not allowed to do what
   directives */
#define DEFAULT_SECURITY_DENY "hosts.deny"

/* the program used to complete the register directive */
#define DEFAULT_UPDATE_PROG "rwhoisparse"

/* the program used to index the database */
#define DEFAULT_INDEX_PROG  "rmkdbindex"

/* the port to listen to */
#define DEFAULT_PORT 4321

/* the idle time, in seconds */
#define DEFAULT_DEADMAN_TIME 200

/* max number of hits allowed to set to */
#define CEILING_MAX_HITS 2048

/* default maximum number of hits - change with -limit command */
#define DEFAULT_MAX_HITS 20
