/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
                    scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
                    markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
#ifndef _READ_CONFIG_H_
#define _READ_CONFIG_H_

/* includes */

#include "common.h"

/* defines */

#define I_DEFAULT_DIR       "default-dir"   /* same as "root-dir" */
#define I_ROOT_DIR          "root-dir"
#define I_BIN_LOC           "bin-loc"       /* same as "bin-path" */
#define I_BIN_PATH          "bin-path"
#define I_NOTIFY_LOG        "notify-log"
#define I_DEFINE_FILE       "define-file"
#define I_DIRECTIVE_FILE    "directive-file"
#define I_DISPLAY_FILE      "display-file"
#define I_OBJECT_FILE       "object-file"   /* same as "schema-file" */
#define I_SCHEMA_FILE       "schema-file"
#define I_REGISTER_LOG      "register-log"
#define I_REGISTER_SPOOL    "register-spool"
#define I_UPDATES_DIR       "updates-dir"
#define I_ROOT_FILE         "root-file"
#define I_SECURITY_ALLOW    "security-allow"
#define I_SECURITY_DENY     "security-deny"
#define I_HOSTNAME          "local-host"
#define I_PROC_USERID       "userid"
#define I_UPDATE_PROG       "update-prog"
#define I_INDEX_PROG        "index-prog"
#define I_CHROOTED          "chrooted"
#define I_DEADMAN           "deadman-time"
#define I_MAX_HITS_CEILING  "max-hits-ceiling"
#define I_MAX_HITS_DEFAULT  "max-hits-default"
#define I_PORT              "local-port"
#define I_IS_ROOT_SERVER    "root-server"
#define I_SERVER_TYPE       "server-type"
#define I_VERBOSITY         "verbosity"

/* prototypes */

int read_all_config_files PROTO((char *config_file, int chrooted));

int read_schema_config_files PROTO((char *config_file, int chrooted));

int read_main_config_file PROTO((char *config_file, int chrooted));

#endif /* _READ_CONFIG_H_ */

