/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
                    scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
                    markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
#include "dump.h"

#include <stdio.h>

#include "defines.h"
#include "attributes.h"
#include "records.h"
#include "objects.h"

/* display_dump_format: this procedure displays the results using the
     "dump" command */
int
display_dump_format(object_name, record, cnt)
  char          *object_name;
  record_struct *record;
  int           cnt;

{
  field_struct  *fields;
  int           fld_cnt;
  char          *fld_name;

  if (cnt)
  {
    printf ("\n");
  }
  
  fields  = record->fields;
  fld_cnt = 0;
  
  while (fields != (field_struct *)NULL)
  {
    if ((fld_name = get_attribute_name(fields->id)) != NULL)
    {
      printf ("%s:%s:%s\n", object_name, fld_name, fields->data);
    }

    fields = fields->nxt;
  }

  return (cnt);
}
