/************************************************************************
RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and 
that no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
                    scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
                    markk@internic.net


Developed By: 
  Mark Kosters
***************************************************************************/
#include "forward.h"

#include <stdio.h>
#include <string.h>
#ifdef HAVE_STRINGS_H
#include <strings.h>
#endif /* HAVE_STRINGS_H */

#include "defines.h"
#include "holdconnect.h"
#include "client_msgs.h"
#include "misc.h"

static int forwarding = FALSE;
static char original_query_buf[MAX_LINE];

/**************************************************************************
  sets the cache value
   toggles it for now
**************************************************************************/
int
set_forward(str)
  char *str;
{
  if (strcasecmp(str, "ON") == 0) {
    forwarding = TRUE;
  }
  else if (strcasecmp (str, "OFF") == 0) {
    forwarding = FALSE;
  }
  else
  {
    print_error(INVALID_DIRECTIVE_PARAM, "");
    return FALSE;
  }

  print_ok();
  return TRUE;
}

/**************************************************************************
  returns the cache value
**************************************************************************/
int
forward_status()

{
  return (forwarding);
}

/**************************************************************************
  forwards the request
**************************************************************************/
int
forward_request(host, query, auth_area)
  char *host;
  char *query;
  char *auth_area;

{
  char param_str[MAX_LINE];

  sprintf (param_str, "-h %s %s", host, query);
  run_program ("/usr/local/bin/rwhois", param_str);

  return TRUE;
}

/**************************************************************************
  saves the query
**************************************************************************/
int
save_original_query (query_str)
  char *query_str;

{
  strcpy (original_query_buf, query_str);

  return TRUE;
}

/**************************************************************************
  retrieves the query
**************************************************************************/
char *
original_query ()

{
  return (original_query_buf);
}
